diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-ue-measurements.h ns-3.44/src/lte/test/lte-test-ue-measurements.h
--- ns-3.43/src/lte/test/lte-test-ue-measurements.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-ue-measurements.h	2025-03-09 16:55:49.611372000 -0700
@@ -13,9 +13,9 @@
 #ifndef LTE_TEST_UE_MEASUREMENTS_H
 #define LTE_TEST_UE_MEASUREMENTS_H
 
-#include <ns3/lte-rrc-sap.h>
-#include <ns3/nstime.h>
-#include <ns3/test.h>
+#include "ns3/lte-rrc-sap.h"
+#include "ns3/nstime.h"
+#include "ns3/test.h"
 
 #include <list>
 #include <set>
@@ -33,9 +33,9 @@
 // ===== LTE-UE-MEASUREMENTS TEST SUITE ==================================== //
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test that UE Measurements (see 36.214) calculation works fine in a
+ * @brief Test that UE Measurements (see 36.214) calculation works fine in a
  * multi-cell interference scenario.
  */
 class LteUeMeasurementsTestSuite : public TestSuite
@@ -45,9 +45,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test that UE measurements calculation works properly in a scenario
+ * @brief Test that UE measurements calculation works properly in a scenario
  * with 2 eNodeBs and 2UEs. Test that RSRP and RSRQ of the serving cell and of
  * the neighbor cell correspond to the reference values.
  */
@@ -57,13 +57,13 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param d1 distance between UE and ENB node pair
-     * \param d2 distance between UE and other ENB node
-     * \param rsrpDbmUe1 RSRP in dBm UE 1
-     * \param rsrpDbmUe2 RSRP in dBm UE 2
-     * \param rsrqDbUe1 RSRQ in dBm UE 1
-     * \param rsrqDbUe2 RSRQ in dBm UE 2
+     * @param name the reference name
+     * @param d1 distance between UE and ENB node pair
+     * @param d2 distance between UE and other ENB node
+     * @param rsrpDbmUe1 RSRP in dBm UE 1
+     * @param rsrpDbmUe2 RSRP in dBm UE 2
+     * @param rsrqDbUe1 RSRQ in dBm UE 1
+     * @param rsrqDbUe2 RSRQ in dBm UE 2
      */
     LteUeMeasurementsTestCase(std::string name,
                               double d1,
@@ -76,11 +76,11 @@
 
     /**
      * Report UE measurements function
-     * \param rnti the RNTI
-     * \param cellId the cell ID
-     * \param rsrp the RSRP
-     * \param rsrq the RSRQ
-     * \param servingCell the serving cell
+     * @param rnti the RNTI
+     * @param cellId the cell ID
+     * @param rsrp the RSRP
+     * @param rsrq the RSRQ
+     * @param servingCell the serving cell
      */
     void ReportUeMeasurements(uint16_t rnti,
                               uint16_t cellId,
@@ -90,10 +90,10 @@
 
     /**
      * Reeive measurement report function
-     * \param imsi the IMSI
-     * \param cellId the cell ID
-     * \param rnti the RNTI
-     * \param meas LteRrcSap::MeasurementReport
+     * @param imsi the IMSI
+     * @param cellId the cell ID
+     * @param rnti the RNTI
+     * @param meas LteRrcSap::MeasurementReport
      */
     void RecvMeasurementReport(uint64_t imsi,
                                uint16_t cellId,
@@ -114,9 +114,9 @@
 // ===== LTE-UE-MEASUREMENTS-PIECEWISE-1 TEST SUITE ======================== //
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for generating calls to UE measurements test case
+ * @brief Test suite for generating calls to UE measurements test case
  *        ns3::LteUeMeasurementsPiecewiseTestCase1.
  */
 class LteUeMeasurementsPiecewiseTestSuite1 : public TestSuite
@@ -126,9 +126,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Testing UE measurements in LTE with simulation of 1 eNodeB and 1 UE in
+ * @brief Testing UE measurements in LTE with simulation of 1 eNodeB and 1 UE in
  *        piecewise configuration and 120 ms report interval. During the simulation
  *        the placement of UE is being changed several times. Four different
  *        cases are considered: UE is very near to eNodeB, UE is near to eNodeB,
@@ -148,10 +148,10 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param config LteRrcSap::ReportConfigEutra
-     * \param expectedTime the expected time
-     * \param expectedRsrp the expected RSRP
+     * @param name the reference name
+     * @param config LteRrcSap::ReportConfigEutra
+     * @param expectedTime the expected time
+     * @param expectedRsrp the expected RSRP
      */
     LteUeMeasurementsPiecewiseTestCase1(std::string name,
                                         LteRrcSap::ReportConfigEutra config,
@@ -161,7 +161,7 @@
     ~LteUeMeasurementsPiecewiseTestCase1() override;
 
     /**
-     * \brief Triggers when eNodeB receives measurement report from UE, then
+     * @brief Triggers when eNodeB receives measurement report from UE, then
      *        perform verification on it.
      *
      * The trigger is set up beforehand by connecting to the
@@ -170,11 +170,11 @@
      * Verification consists of checking whether the report carries the right
      * value of RSRP or not, and whether it occurs at the expected time or not.
      *
-     * \param context the context
-     * \param imsi the IMSI
-     * \param cellId the cell ID
-     * \param rnti  the RNTI
-     * \param report LteRrcSap::MeasurementReport
+     * @param context the context
+     * @param imsi the IMSI
+     * @param cellId the cell ID
+     * @param rnti  the RNTI
+     * @param report LteRrcSap::MeasurementReport
      */
     void RecvMeasurementReportCallback(std::string context,
                                        uint64_t imsi,
@@ -184,7 +184,7 @@
 
   private:
     /**
-     * \brief Setup the simulation with the intended UE measurement reporting
+     * @brief Setup the simulation with the intended UE measurement reporting
      *        configuration, run it, and connect the
      *        `RecvMeasurementReportCallback` function to the
      *        `LteUeRrc::RecvMeasurementReport` trace source.
@@ -192,7 +192,7 @@
     void DoRun() override;
 
     /**
-     * \brief Runs at the end of the simulation, verifying that all expected
+     * @brief Runs at the end of the simulation, verifying that all expected
      *        measurement reports have been examined.
      */
     void DoTeardown() override;
@@ -207,36 +207,36 @@
     void TeleportVeryFar();
 
     /**
-     * \brief The active report triggering configuration.
+     * @brief The active report triggering configuration.
      */
     LteRrcSap::ReportConfigEutra m_config;
 
     /**
-     * \brief The list of expected time when measurement reports are received by
+     * @brief The list of expected time when measurement reports are received by
      *        eNodeB.
      */
     std::vector<Time> m_expectedTime;
 
     /**
-     * \brief The list of expected values of RSRP (in 3GPP range unit) from the
+     * @brief The list of expected values of RSRP (in 3GPP range unit) from the
      *        measurement reports received.
      */
     std::vector<uint8_t> m_expectedRsrp;
 
     /**
-     * \brief Pointer to the element of `m_expectedTime` which is expected to
+     * @brief Pointer to the element of `m_expectedTime` which is expected to
      *        occur next in the simulation.
      */
     std::vector<Time>::iterator m_itExpectedTime;
 
     /**
-     * \brief Pointer to the element of `m_expectedRsrp` which is expected to
+     * @brief Pointer to the element of `m_expectedRsrp` which is expected to
      *        occur next in the simulation.
      */
     std::vector<uint8_t>::iterator m_itExpectedRsrp;
 
     /**
-     * \brief The measurement identity being tested. Measurement reports with
+     * @brief The measurement identity being tested. Measurement reports with
      *        different measurement identity (e.g. from handover algorithm) will
      *        be ignored.
      */
@@ -249,9 +249,9 @@
 // ===== LTE-UE-MEASUREMENTS-PIECEWISE-2 TEST SUITE ======================== //
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for generating calls to UE measurements test case
+ * @brief Test suite for generating calls to UE measurements test case
  *        ns3::LteUeMeasurementsPiecewiseTestCase2.
  */
 class LteUeMeasurementsPiecewiseTestSuite2 : public TestSuite
@@ -261,9 +261,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Testing UE measurements in LTE with simulation of 2 eNodeB and 1 UE in
+ * @brief Testing UE measurements in LTE with simulation of 2 eNodeB and 1 UE in
  *        piecewise configuration and 240 ms report interval.
  *        Here is intenisvely test events A1 and A2. A1 event should be triggered
  *        when the serving cell becomes better than a given threshold. A2 shall
@@ -283,10 +283,10 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param config LteRrcSap::ReportConfigEutra
-     * \param expectedTime the expected time
-     * \param expectedRsrp the expected RSRP
+     * @param name the reference name
+     * @param config LteRrcSap::ReportConfigEutra
+     * @param expectedTime the expected time
+     * @param expectedRsrp the expected RSRP
      */
     LteUeMeasurementsPiecewiseTestCase2(std::string name,
                                         LteRrcSap::ReportConfigEutra config,
@@ -296,7 +296,7 @@
     ~LteUeMeasurementsPiecewiseTestCase2() override;
 
     /**
-     * \brief Triggers when eNodeB receives measurement report from UE, then
+     * @brief Triggers when eNodeB receives measurement report from UE, then
      *        perform verification on it.
      *
      * The trigger is set up beforehand by connecting to the
@@ -305,11 +305,11 @@
      * Verification consists of checking whether the report carries the right
      * value of RSRP or not, and whether it occurs at the expected time or not.
      *
-     * \param context the context
-     * \param imsi the IMSI
-     * \param cellId the cell ID
-     * \param rnti  the RNTI
-     * \param report LteRrcSap::MeasurementReport
+     * @param context the context
+     * @param imsi the IMSI
+     * @param cellId the cell ID
+     * @param rnti  the RNTI
+     * @param report LteRrcSap::MeasurementReport
      */
     void RecvMeasurementReportCallback(std::string context,
                                        uint64_t imsi,
@@ -319,7 +319,7 @@
 
   private:
     /**
-     * \brief Setup the simulation with the intended UE measurement reporting
+     * @brief Setup the simulation with the intended UE measurement reporting
      *        configuration, run it, and connect the
      *        `RecvMeasurementReportCallback` function to the
      *        `LteUeRrc::RecvMeasurementReport` trace source.
@@ -327,7 +327,7 @@
     void DoRun() override;
 
     /**
-     * \brief Runs at the end of the simulation, verifying that all expected
+     * @brief Runs at the end of the simulation, verifying that all expected
      *        measurement reports have been examined.
      */
     void DoTeardown() override;
@@ -342,36 +342,36 @@
     void TeleportVeryFar();
 
     /**
-     * \brief The active report triggering configuration.
+     * @brief The active report triggering configuration.
      */
     LteRrcSap::ReportConfigEutra m_config;
 
     /**
-     * \brief The list of expected time when measurement reports are received by
+     * @brief The list of expected time when measurement reports are received by
      *        eNodeB.
      */
     std::vector<Time> m_expectedTime;
 
     /**
-     * \brief The list of expected values of RSRP (in 3GPP range unit) from the
+     * @brief The list of expected values of RSRP (in 3GPP range unit) from the
      *        measurement reports received.
      */
     std::vector<uint8_t> m_expectedRsrp;
 
     /**
-     * \brief Pointer to the element of `m_expectedTime` which is expected to
+     * @brief Pointer to the element of `m_expectedTime` which is expected to
      *        occur next in the simulation.
      */
     std::vector<Time>::iterator m_itExpectedTime;
 
     /**
-     * \brief Pointer to the element of `m_expectedRsrp` which is expected to
+     * @brief Pointer to the element of `m_expectedRsrp` which is expected to
      *        occur next in the simulation.
      */
     std::vector<uint8_t>::iterator m_itExpectedRsrp;
 
     /**
-     * \brief The measurement identity being tested. Measurement reports with
+     * @brief The measurement identity being tested. Measurement reports with
      *        different measurement identity (e.g. from handover algorithm) will
      *        be ignored.
      */
@@ -384,9 +384,9 @@
 // ===== LTE-UE-MEASUREMENTS-PIECEWISE-3 TEST SUITE ======================== //
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for generating calls to UE measurements test case
+ * @brief Test suite for generating calls to UE measurements test case
  *        ns3::LteUeMeasurementsPiecewiseTestCase3.
  */
 class LteUeMeasurementsPiecewiseTestSuite3 : public TestSuite
@@ -396,9 +396,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Testing UE measurements in LTE with simulation of 3 eNodeB and 1 UE in
+ * @brief Testing UE measurements in LTE with simulation of 3 eNodeB and 1 UE in
  *        piecewise configuration and 240 ms report interval.
  *        This test is to cover a corner case using event A4, which is not
  *        covered by LteUeMeasurementsPiecewiseTestCase1 and
@@ -436,9 +436,9 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param config LteRrcSap::ReportConfigEutra
-     * \param expectedTime the expected time
+     * @param name the reference name
+     * @param config LteRrcSap::ReportConfigEutra
+     * @param expectedTime the expected time
      */
     LteUeMeasurementsPiecewiseTestCase3(std::string name,
                                         LteRrcSap::ReportConfigEutra config,
@@ -447,7 +447,7 @@
     ~LteUeMeasurementsPiecewiseTestCase3() override;
 
     /**
-     * \brief Triggers when eNodeB receives measurement report from UE, then
+     * @brief Triggers when eNodeB receives measurement report from UE, then
      *        perform verification on it.
      *
      * The trigger is set up beforehand by connecting to the
@@ -456,11 +456,11 @@
      * Verification consists of checking whether the report carries the right
      * value of RSRP or not, and whether it occurs at the expected time or not.
      *
-     * \param context the context
-     * \param imsi the IMSI
-     * \param cellId the cell ID
-     * \param rnti  the RNTI
-     * \param report LteRrcSap::MeasurementReport
+     * @param context the context
+     * @param imsi the IMSI
+     * @param cellId the cell ID
+     * @param rnti  the RNTI
+     * @param report LteRrcSap::MeasurementReport
      */
     void RecvMeasurementReportCallback(std::string context,
                                        uint64_t imsi,
@@ -470,7 +470,7 @@
 
   private:
     /**
-     * \brief Setup the simulation with the intended UE measurement reporting
+     * @brief Setup the simulation with the intended UE measurement reporting
      *        configuration, run it, and connect the
      *        `RecvMeasurementReportCallback` function to the
      *        `LteUeRrc::RecvMeasurementReport` trace source.
@@ -478,7 +478,7 @@
     void DoRun() override;
 
     /**
-     * \brief Runs at the end of the simulation, verifying that all expected
+     * @brief Runs at the end of the simulation, verifying that all expected
      *        measurement reports have been examined.
      */
     void DoTeardown() override;
@@ -487,24 +487,24 @@
     void TeleportEnbNear();
 
     /**
-     * \brief The active report triggering configuration.
+     * @brief The active report triggering configuration.
      */
     LteRrcSap::ReportConfigEutra m_config;
 
     /**
-     * \brief The list of expected time when measurement reports are received by
+     * @brief The list of expected time when measurement reports are received by
      *        eNodeB.
      */
     std::vector<Time> m_expectedTime;
 
     /**
-     * \brief Pointer to the element of `m_expectedTime` which is expected to
+     * @brief Pointer to the element of `m_expectedTime` which is expected to
      *        occur next in the simulation.
      */
     std::vector<Time>::iterator m_itExpectedTime;
 
     /**
-     * \brief The measurement identity being tested. Measurement reports with
+     * @brief The measurement identity being tested. Measurement reports with
      *        different measurement identity (e.g. from handover algorithm) will
      *        be ignored.
      */
@@ -517,9 +517,9 @@
 // ===== LTE-UE-MEASUREMENTS-HANDOVER TEST SUITE =========================== //
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for generating calls to UE measurements test case
+ * @brief Test suite for generating calls to UE measurements test case
  *        ns3::LteUeMeasurementsHandoverTestCase.
  */
 class LteUeMeasurementsHandoverTestSuite : public TestSuite
@@ -529,9 +529,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Testing UE measurements in LTE with simulation of 2 eNodeB and 1 UE in
+ * @brief Testing UE measurements in LTE with simulation of 2 eNodeB and 1 UE in
  *        a handover configuration.
  *
  * The simulation will run for the specified duration, while the handover
@@ -551,12 +551,12 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param sourceConfigList std::list<LteRrcSap::ReportConfigEutra>
-     * \param targetConfigList std::list<LteRrcSap::ReportConfigEutra>
-     * \param expectedTime the expected time
-     * \param expectedRsrp the expected RSRP
-     * \param duration the duration
+     * @param name the reference name
+     * @param sourceConfigList std::list<LteRrcSap::ReportConfigEutra>
+     * @param targetConfigList std::list<LteRrcSap::ReportConfigEutra>
+     * @param expectedTime the expected time
+     * @param expectedRsrp the expected RSRP
+     * @param duration the duration
      */
     LteUeMeasurementsHandoverTestCase(std::string name,
                                       std::list<LteRrcSap::ReportConfigEutra> sourceConfigList,
@@ -568,7 +568,7 @@
     ~LteUeMeasurementsHandoverTestCase() override;
 
     /**
-     * \brief Triggers when either one of the eNodeBs receives measurement report
+     * @brief Triggers when either one of the eNodeBs receives measurement report
      *        from UE, then perform verification on it.
      *
      * The trigger is set up beforehand by connecting to the
@@ -577,11 +577,11 @@
      * Verification consists of checking whether the report carries the right
      * value of RSRP or not, and whether it occurs at the expected time or not.
      *
-     * \param context the context
-     * \param imsi the IMSI
-     * \param cellId the cell ID
-     * \param rnti  the RNTI
-     * \param report LteRrcSap::MeasurementReport
+     * @param context the context
+     * @param imsi the IMSI
+     * @param cellId the cell ID
+     * @param rnti  the RNTI
+     * @param report LteRrcSap::MeasurementReport
      */
     void RecvMeasurementReportCallback(std::string context,
                                        uint64_t imsi,
@@ -591,7 +591,7 @@
 
   private:
     /**
-     * \brief Setup the simulation with the intended UE measurement reporting
+     * @brief Setup the simulation with the intended UE measurement reporting
      *        configuration, run it, and connect the
      *        `RecvMeasurementReportCallback` function to the
      *        `LteUeRrc::RecvMeasurementReport` trace source.
@@ -599,61 +599,61 @@
     void DoRun() override;
 
     /**
-     * \brief Runs at the end of the simulation, verifying that all expected
+     * @brief Runs at the end of the simulation, verifying that all expected
      *        measurement reports have been examined.
      */
     void DoTeardown() override;
 
     /**
-     * \brief The list of active report triggering configuration for the source
+     * @brief The list of active report triggering configuration for the source
      *        eNodeB.
      */
     std::list<LteRrcSap::ReportConfigEutra> m_sourceConfigList;
 
     /**
-     * \brief The list of active report triggering configuration for the target
+     * @brief The list of active report triggering configuration for the target
      *        eNodeB.
      */
     std::list<LteRrcSap::ReportConfigEutra> m_targetConfigList;
 
     /**
-     * \brief The list of expected time when measurement reports are received by
+     * @brief The list of expected time when measurement reports are received by
      *        eNodeB.
      */
     std::vector<Time> m_expectedTime;
 
     /**
-     * \brief The list of expected values of RSRP (in 3GPP range unit) from the
+     * @brief The list of expected values of RSRP (in 3GPP range unit) from the
      *        measurement reports received.
      */
     std::vector<uint8_t> m_expectedRsrp;
 
     /**
-     * \brief Pointer to the element of `m_expectedTime` which is expected to
+     * @brief Pointer to the element of `m_expectedTime` which is expected to
      *        occur next in the simulation.
      */
     std::vector<Time>::iterator m_itExpectedTime;
 
     /**
-     * \brief Pointer to the element of `m_expectedRsrp` which is expected to
+     * @brief Pointer to the element of `m_expectedRsrp` which is expected to
      *        occur next in the simulation.
      */
     std::vector<uint8_t>::iterator m_itExpectedRsrp;
 
     /**
-     * \brief Duration of simulation.
+     * @brief Duration of simulation.
      */
     Time m_duration;
 
     /**
-     * \brief The list of measurement identities being tested in the source cell.
+     * @brief The list of measurement identities being tested in the source cell.
      *        Measurement reports with different measurement identity (e.g. from
      *        handover algorithm and ANR) will be ignored.
      */
     std::set<uint8_t> m_expectedSourceCellMeasId;
 
     /**
-     * \brief The list of measurement identities being tested in the target cell.
+     * @brief The list of measurement identities being tested in the target cell.
      *        Measurement reports with different measurement identity (e.g. from
      *        handover algorithm and ANR) will be ignored.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-ue-phy.h ns-3.44/src/lte/test/lte-test-ue-phy.h
--- ns-3.43/src/lte/test/lte-test-ue-phy.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-ue-phy.h	2025-03-09 16:55:49.611372000 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Defines a simplified LtePhy class that is used for testing purposes
+ * @brief Defines a simplified LtePhy class that is used for testing purposes
  * of downlink and uplink SINR generation. Used in LteDownlinkDataSinrTestCase
  * and LteUplinkDataSinrTestCase as simplified LTE PHY.
  */
@@ -32,8 +32,8 @@
     LteTestUePhy();
 
     /**
-     * \param dlPhy the downlink LteSpectrumPhy instance
-     * \param ulPhy the uplink LteSpectrumPhy instance
+     * @param dlPhy the downlink LteSpectrumPhy instance
+     * @param ulPhy the uplink LteSpectrumPhy instance
      */
     LteTestUePhy(Ptr<LteSpectrumPhy> dlPhy, Ptr<LteSpectrumPhy> ulPhy);
 
@@ -41,20 +41,20 @@
 
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Queue the MAC PDU to be sent
-     * \param p the MAC PDU to sent
+     * @brief Queue the MAC PDU to be sent
+     * @param p the MAC PDU to sent
      */
     void DoSendMacPdu(Ptr<Packet> p) override;
 
     /**
-     * \brief Create the PSD for the TX
-     * \return the pointer to the PSD
+     * @brief Create the PSD for the TX
+     * @return the pointer to the PSD
      */
     Ptr<SpectrumValue> CreateTxPowerSpectralDensity() override;
 
@@ -67,14 +67,14 @@
     void ReportRsReceivedPower(const SpectrumValue& power) override;
 
     /**
-     * \brief Reeive LTE Control Message
-     * \param msg the control message
+     * @brief Reeive LTE Control Message
+     * @param msg the control message
      */
     virtual void ReceiveLteControlMessage(Ptr<LteControlMessage> msg);
 
     /**
-     * \brief Get the SINR
-     * \return the SINR
+     * @brief Get the SINR
+     * @return the SINR
      */
     SpectrumValue GetSinr();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-uplink-power-control.cc ns-3.44/src/lte/test/lte-test-uplink-power-control.cc
--- ns-3.43/src/lte/test/lte-test-uplink-power-control.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-uplink-power-control.cc	2025-03-09 16:55:49.611372000 -0700
@@ -11,27 +11,27 @@
 
 #include "lte-ffr-simple.h"
 
+#include "ns3/boolean.h"
+#include "ns3/callback.h"
+#include "ns3/config.h"
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/ff-mac-scheduler.h"
+#include "ns3/integer.h"
+#include "ns3/log.h"
+#include "ns3/lte-common.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-enb-rrc.h"
 #include "ns3/lte-helper.h"
+#include "ns3/lte-rrc-sap.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-phy.h"
+#include "ns3/lte-ue-rrc.h"
 #include "ns3/mobility-helper.h"
-#include <ns3/boolean.h>
-#include <ns3/callback.h>
-#include <ns3/config.h>
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/ff-mac-scheduler.h>
-#include <ns3/integer.h>
-#include <ns3/log.h>
-#include <ns3/lte-common.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-enb-rrc.h>
-#include <ns3/lte-rrc-sap.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-phy.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/string.h>
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/string.h"
 
 using namespace ns3;
 
@@ -59,7 +59,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteUplinkPowerControlTestSuite lteUplinkPowerControlTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-uplink-power-control.h ns-3.44/src/lte/test/lte-test-uplink-power-control.h
--- ns-3.43/src/lte/test/lte-test-uplink-power-control.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-uplink-power-control.h	2025-03-09 16:55:49.611372000 -0700
@@ -26,9 +26,9 @@
 } // namespace ns3
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test 1.1 Uplink Power Control
+ * @brief Test 1.1 Uplink Power Control
  */
 class LteUplinkPowerControlTestSuite : public TestSuite
 {
@@ -37,9 +37,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Uplink Power Control Test Case
+ * @brief Lte Uplink Power Control Test Case
  */
 class LteUplinkPowerControlTestCase : public TestCase
 {
@@ -47,7 +47,7 @@
     /**
      * Constructor
      *
-     * \param name the reference name
+     * @param name the reference name
      */
     LteUplinkPowerControlTestCase(std::string name);
     ~LteUplinkPowerControlTestCase() override;
@@ -55,11 +55,11 @@
     /**
      * Teleport UE funcction
      *
-     * \param x the X position
-     * \param y the Y position
-     * \param expectedPuschTxPower the expected PUSCH transmit power
-     * \param expectedPucchTxPower the expected PUCCH transmit power
-     * \param expectedSrsTxPower the expected SRS transmit power
+     * @param x the X position
+     * @param y the Y position
+     * @param expectedPuschTxPower the expected PUSCH transmit power
+     * @param expectedPucchTxPower the expected PUCCH transmit power
+     * @param expectedSrsTxPower the expected SRS transmit power
      */
     void TeleportUe(uint32_t x,
                     uint32_t y,
@@ -70,11 +70,11 @@
     /**
      * Set TPC configuration funcction
      *
-     * \param tpc the TPC
-     * \param tpcNum the TPC number
-     * \param expectedPuschTxPower the expected PUSCH transmit power
-     * \param expectedPucchTxPower the expected PUCCH transmit power
-     * \param expectedSrsTxPower the expected SRS transmit power
+     * @param tpc the TPC
+     * @param tpcNum the TPC number
+     * @param expectedPuschTxPower the expected PUSCH transmit power
+     * @param expectedPucchTxPower the expected PUCCH transmit power
+     * @param expectedSrsTxPower the expected SRS transmit power
      */
     void SetTpcConfiguration(uint32_t tpc,
                              uint32_t tpcNum,
@@ -85,25 +85,25 @@
     /**
      * PUSCH transmit power trace funcction
      *
-     * \param cellId the cell ID
-     * \param rnti the RNTI
-     * \param txPower the transmit power
+     * @param cellId the cell ID
+     * @param rnti the RNTI
+     * @param txPower the transmit power
      */
     void PuschTxPowerTrace(uint16_t cellId, uint16_t rnti, double txPower);
     /**
      * PUCCH transmit power trace funcction
      *
-     * \param cellId the cell ID
-     * \param rnti the RNTI
-     * \param txPower the transmit power
+     * @param cellId the cell ID
+     * @param rnti the RNTI
+     * @param txPower the transmit power
      */
     void PucchTxPowerTrace(uint16_t cellId, uint16_t rnti, double txPower);
     /**
      * SRS transmit power trace funcction
      *
-     * \param cellId the cell ID
-     * \param rnti the RNTI
-     * \param txPower the transmit power
+     * @param cellId the cell ID
+     * @param rnti the RNTI
+     * @param txPower the transmit power
      */
     void SrsTxPowerTrace(uint16_t cellId, uint16_t rnti, double txPower);
 
@@ -124,9 +124,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Uplink Open Loop Power Control Test Case
+ * @brief Lte Uplink Open Loop Power Control Test Case
  */
 class LteUplinkOpenLoopPowerControlTestCase : public LteUplinkPowerControlTestCase
 {
@@ -134,7 +134,7 @@
     /**
      * Constructor
      *
-     * \param name the reference name
+     * @param name the reference name
      */
     LteUplinkOpenLoopPowerControlTestCase(std::string name);
     ~LteUplinkOpenLoopPowerControlTestCase() override;
@@ -144,9 +144,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Uplink Closed Loop Power Control Absolute Mode Test Case
+ * @brief Lte Uplink Closed Loop Power Control Absolute Mode Test Case
  */
 class LteUplinkClosedLoopPowerControlAbsoluteModeTestCase : public LteUplinkPowerControlTestCase
 {
@@ -154,7 +154,7 @@
     /**
      * Constructor
      *
-     * \param name the reference name
+     * @param name the reference name
      */
     LteUplinkClosedLoopPowerControlAbsoluteModeTestCase(std::string name);
     ~LteUplinkClosedLoopPowerControlAbsoluteModeTestCase() override;
@@ -164,9 +164,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Uplink Closed Loop Power Control Accumulated Mode Test Case
+ * @brief Lte Uplink Closed Loop Power Control Accumulated Mode Test Case
  */
 class LteUplinkClosedLoopPowerControlAccumulatedModeTestCase : public LteUplinkPowerControlTestCase
 {
@@ -174,7 +174,7 @@
     /**
      * Constructor
      *
-     * \param name the reference name
+     * @param name the reference name
      */
     LteUplinkClosedLoopPowerControlAccumulatedModeTestCase(std::string name);
     ~LteUplinkClosedLoopPowerControlAccumulatedModeTestCase() override;
